Bug 17112 - Action buttons for course reserves detail page
Summary: Action buttons for course reserves detail page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-11 18:21 UTC by Owen Leonard
Modified: 2017-12-07 22:16 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17112 - Action buttons for course reserves detail page (6.55 KB, patch)
2016-08-11 18:35 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 17112: Action buttons for course reserves detail page (6.63 KB, patch)
2016-08-12 14:33 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 17112: Action buttons for course reserves detail page (6.68 KB, patch)
2016-08-14 13:14 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-08-11 18:21:06 UTC
The edit and delete links for titles on a course reserve should be styled according to new interface guidelines.
Comment 1 Owen Leonard 2016-08-11 18:35:23 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-08-12 14:33:00 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-08-14 13:14:11 UTC
Created attachment 54433 [details] [review]
[PASSED QA] Bug 17112: Action buttons for course reserves detail page

This patch revises the edit and delete buttons on the course reserves
detail page so that they are styled as Bootstrap buttons with Font
Awesome icons.

To test, apply the patch and choose or create a course reserve which has
in it at least one lost item and at least one item which is checked out.

- In the list of items on the course reserve detail page, confirm that
  the 'Edit' and 'Delete' buttons are correctly styled.
- Confirm that for the checked out item the delete button is disabled.
  Hovering over the button should trigger a tooltip. Clicking the button
  should trigger an alert.
- Confirm that for the lost item the same is true.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Buttons styled as Bootstrap. Works as expected.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Kyle M Hall 2016-09-09 14:16:58 UTC
Pushed to master for 16.11, thanks Owen!